Get a private location
Server:
https://{kibana_url}
- GET /api/synthetics/private_locations/{id}
You must have read privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.
Path Parameters
-
idstringrequired -
A private location identifier or label.
Response
A successful response.
-
agentPolicyIdstring -
The ID of the agent policy associated with the private location.
-
geoobject -
Geographic coordinates (WGS84) for the location.
-
idstring -
The unique identifier of the private location.
-
isInvalidboolean -
Indicates whether the location is invalid. If
true, the location is invalid, which means the agent policy associated with the location is deleted. -
labelstring -
A label for the private location.
-
namespacestring -
The namespace of the location, which is the same as the namespace of the agent policy associated with the location.